package com.anbo.teacherlistexample;

import java.io.Serializable;

/**
 * Created by anders on 2/10/2016.
 */
public class Teacher implements Serializable {


    private int id;
    private String name;
    private String email;
    private int salary;

    public Teacher() {
    } // no-args constructores required by Serializable

    public Teacher(int id, String name, String email, int salary) {
        this.id = id;
        this.name = name;
        this.email = email;
        this.salary = salary;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getSalary() {
        return salary;
    }

    public void setSalary(int salary) {
        this.salary = salary;
    }

    @Override
    public String toString() {
        return name + " " + email;
    }
}